Foreman - Refactor #10409

Rails 4 and 3 compatible changes
05/07/2015 07:54 AM - Daniel Lobato Garcia

Status: Closed
Priority: Normal
Assignee: Daniel Lobato Garcia
Category: Rails
Target version: 1.9.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2358
Description

Token tracker for all changes (deprecations, etc..) that have to be changed to upgrade to Rails 4, yet we can already add them on

Rails 3.

Related issues:
Blocks Foreman - Tracker #3157: Rails 4.1 upgrade tasks

Closed 09/27/2013

Associated revisions

Revision 868faa8f - 06/16/2015 08:48 AM - Daniel Lobato Garcia
Fixes #10409 - Rails 4 compatible changes with Rails 3

Revision 996b3db5 - 10/07/2015 08:39 AM - Daniel Lobato Garcia
Refs #10409 - Rails 4 compatible changes with Rails 3

This includes some changes that can be applied to Rails 3 without
any issue and don't follow any particular pattern/deprecation, In
general these are minor things we have to change. Other PRs with

retrocompatible changes that aim to fix particular deprecations
have been submitted separately.

Sorry for the not-very-descriptive commit!

History

#1 - 05/07/2015 08:09 AM - Daniel Lobato Garcia
- Blocks Tracker #3157: Rails 4.1 upgrade tasks added

#2 - 05/07/2015 08:18 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2358 added
- Pull request deleted ()

#3 - 06/16/2015 08:49 AM - Dominic Cleal
- Category set to Rails

- translation missing: en.field_release set to 35

#4 - 06/16/2015 09:01 AM - Daniel Lobato Garcia
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 868faa8f10aa888173166905085b5491c74bf082.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/868faa8f10aa888173166905085b5491c74bf082

#5 - 03/14/2016 10:08 AM - Lukas Zapletal

| am trying to migrate Satellite 6.1 (Foreman 1.9) database but getting:

NoMethodError: undefined method "request_uuid' for #<Audited::Adapters::ActiveRecord: :Audit:0x005640d090e6d0>
/home/lzap/work/gitlab/foreman/app/models/setting.rb:201:in "block in create_existing'
/home/lzap/work/gitlab/foreman/app/models/setting.rb:210:in “bypass_readonly'
/home/lzap/work/gitlab/foreman/app/models/setting.rb:197:in "“create_existing'
/home/lzap/work/gitlab/foreman/app/models/setting.rb:182:in “create!'
/home/lzap/work/gitlab/foreman/app/models/setting/general.rb:26:in “block (2 levels) in load_defaults'
/home/lzap/work/gitlab/foreman/app/models/setting/general.rb:26:in “each'
/home/lzap/work/gitlab/foreman/app/models/setting/general.rb:26:in “block in load_defaults'
/home/lzap/work/gitlab/foreman/app/models/setting/general.rb:12:in " load_defaults'
/home/lzap/work/gitlab/foreman/config/initializers/foreman.rb:21:in “each’
/home/lzap/work/gitlab/foreman/config/initializers/foreman.rb:21:in "<top (required)>'
/home/lzap/work/gitlab/foreman/config/environment.rb:5:in “<top (required)>'

Tasks: TOP => db:migrate => environment
(See full trace by running task with —--trace)

Just for the record, this happens when you update autided gem first and then try to migrate database while there is also a setting change during initial
boot. | wonder why we didn't see this during Foreman 1.11 RC upgrade.

#6 - 05/04/2016 11:00 AM - Lukas Zapletal

Satellite 6.2 QA hit this today. | hit that as well, but only on Satellite. My Foreman instances were migrated just fine. Strange.

For the record, the related upstream commit is: https:
https://github.com/collectiveidea/audited/commit/112daaed409adff40c2be318286a955b7113e129
http://www.tcpdf.org

